
ChiliProject - Bug # 520: Missing JournalFormatter causes Issue atom feed to blow up

Status: Closed Priority: Normal
Author: Ryan Briones Category: Journals / History
Created: 2011-07-13 Assignee:
Updated: 2011-07-22 Due date:
Remote issue URL:
Affected version: 2.0.0
Description: Had a weird issue where an atom feed for a specific Issue was blowing it. I believe I've tracked it down to 

@"#format_attribute_detail":https://github.com/chiliproject/chiliproject/blob/stable/vendor/plugins/acts_as_jour
nalized/lib/journal_formatter.rb#L61@ returning nil because @author_id@ does not have a corresponding 
@"register_on_journal_formatter":https://github.com/chiliproject/chiliproject/blob/stable/app/models/issue.rb#L
48@ entry. By adding @author_id@ to the @:named_association@ entry, I was able to fix my issue, but I'm 
not clear on all the AAJ changes, so I'll leave it to a pro to decide if this is the proper patch. Looks like the view 
@journal/index.rxml@ has been updated in stable to potentially deal with the fact that 
@Journal#render_detail@ may return nil.

Cheers

History
2011-07-13 10:02 pm - Ryan Briones
Hmm... just realized this may not be a bug. Author cannot be changed with a *vanilla* ChiliProject...

2011-07-22 03:22 pm - Eric Davis
- Category set to Journals / History

- Status changed from Open to Needs more information

Are you running a custom patch to change the issue author? If so then this wouldn't be a bug until we apply that patch (or allow author changes).

2011-07-22 04:32 pm - Ryan Briones
- Status changed from Needs more information to Closed

Yes, that's what I was implying in the update. Probably no need to fix this unless you allow author updates that cause journals to be created.
